Subject: Re: [Rfced-future] Comments on draft-iab-rfcefdp-rfced-model

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 1 Mar 2022 11:36:19 -0700

On 2/10/22 7:42 AM, Eliot Lear wrote:
> Hi Paul,
> 
> 
> On 09.02.22 17:46, Paul Hoffman wrote:
>> Greetings again. The structures proposed in this document seem like a 
>> very good way forward. The level of detail about the expectations on 
>> each group is a good balance in prescriptiveness.
>>
>> Two small thoughts on the current draft:
>>
>> The future status of the rfc-interest mailing list is unclear; see 
>> Section 3.2.3. Given it s current contents, I could see that it would 
>> easily become a parallel track for discussions that should be on the 
>> RSWG mailing list. It might be good to close (and certainly archive!) 
>> rfc-interest unless it becomes more moderated by someone pointing 
>> discussions to the RSWG.
> 
> I like the idea of at least having some RSWG participation to point 
> people to the right place, when necessary.

Keeping the rfc-interest list and starting a new list for the RSWG might 
indeed lead to confusion.

Here is a proposed change:

OLD

    The RSAB seeks
    such input by, at a minimum, sending a notice to the rfc-interest
    mailing list or to its successor or future equivalent.

NEW

    The RSAB seeks
    such input by, at a minimum, sending a notice to the mailing list of
    the RSWG (which should supersede the current rfc-interest list).

>> Someone is going to have to tool the tracking for RSWG documents after 
>> they leave the RSWG, given that this is a new process. That might be 
>> informal (but public) tracking, but I suspect that formally tracking 
>> the various rfc799*-bis documents will prevent later issues from 
>> arising based on missed cross-dependencies. Maybe adding a sentence or 
>> two about this to the current draft will keep it in our minds as we 
>> move forward.
> 
> Good idea.  Perhaps something along the lines, “The LLC is requested to 
> provide necessary tooling to support RSWG and RSAB decision processes 
> and policies.”

WFM, although editorially I'll split up the RSWG and RSAB requests, 
placing them in the respective "Mode of Operation" sections.

Peter

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 1 Mar 2022 10:45:46 -0800

>     the RSWG (which should supersede the current rfc-interest list).

I actually don't agree with this. I think the WG should have a separate list
that is moderated by the chairs. The rfc-interest list can continue, but
I think the new model deserves a new list.

-Ekr

> --
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future
>

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 1 Mar 2022 11:52:55 -0700

On 3/1/22 11:45 AM, Eric Rescorla wrote:
> 
> 
> On Tue, Mar 1, 2022 at 10:36 AM Peter Saint-Andre <[email-masked] 
> <mailto:[email-masked]>> wrote:
> 

Can we specify (at a high level) what topics are appropriate for 
rfc-interest as opposed to the RSWG list? Would we envision that rfc-i 
is more for implementers? We already have a plethora of lists (rfc-i, 
tools-discuss, xml2rfc-dev, etc.) and it's already unclear where certain 
topics should be discussed.

Peter

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 1 Mar 2022 19:54:18 +0100

Hi Peter, hi all,

First, I think we need to cc the program list.

And second, I not sure that's correct. I was actually assuming we keep the rfc-interest list at least for now as this is also the list people are using to e.g. ask questions (to the RPC or the respective experts) about who to apply the xml or such.

Mirja

> On 1. Mar 2022, at 19:36, Peter Saint-Andre <[email-masked]> wrote:
> 
>>> Greetings again. The structures proposed in this document seem like a very good way forward. The level of detail about the expectations on each group is a good balance in prescriptiveness.
>>> 
>>> The future status of the rfc-interest mailing list is unclear; see Section 3.2.3. Given it s current contents, I could see that it would easily become a parallel track for discussions that should be on the RSWG mailing list. It might be good to close (and certainly archive!) rfc-interest unless it becomes more moderated by someone pointing discussions to the RSWG.
>> I like the idea of at least having some RSWG participation to point people to the right place, when necessary.
> 
> Keeping the rfc-interest list and starting a new list for the RSWG might indeed lead to confusion.
> 
>>> Someone is going to have to tool the tracking for RSWG documents after they leave the RSWG, given that this is a new process. That might be informal (but public) tracking, but I suspect that formally tracking the various rfc799*-bis documents will prevent later issues from arising based on missed cross-dependencies. Maybe adding a sentence or two about this to the current draft will keep it in our minds as we move forward.
>> Good idea.  Perhaps something along the lines, “The LLC is requested to provide necessary tooling to support RSWG and RSAB decision processes and policies.”
> 
> WFM, although editorially I'll split up the RSWG and RSAB requests, placing them in the respective "Mode of Operation" sections.
> 
> Peter
> 
>

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 1 Mar 2022 19:55:34 +0100

Ah sorry, seeing now that the program is cc'ed and there is also a discussion on-going. My second point is still valid. :-)

> On 1. Mar 2022, at 19:54, Mirja Kuehlewind <[email-masked]> wrote:
> 
> Hi Peter, hi all,
>

---

From: Paul Hoffman <[email-masked]>
Date: Tue, 1 Mar 2022 18:56:36 +0000

> I think the new model deserves a new list.

Personal view: the RSWG list should not be moderated, just like IETF WG lists are not moderated. This will surely be painful, with lots of strongly-held views supported only by predictions of the future, but that's also true for a fair number of IETF WG lists. 

I read the proposed "(which should supersede the current rfc-interest list)" to mean that the new list will have a new name. Maybe better wording would be:

    The RSAB seeks
    such input by, at a minimum, sending a notice to the mailing list of
    the RSWG, and the current rfc-interest list will be closed for
    submissions and archived.

--Paul Hoffman

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 1 Mar 2022 12:00:35 -0700

>      submissions and archived.

Personally, I don't care deeply about whether we keep rfc-i or close and 
archive it (I can see arguments either way), but I'll update the I-D to 
reflect consensus from this thread. :-)

Peter

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 1 Mar 2022 12:02:01 -0700

As to the second point, the IAB might want to discuss it in their 
meeting tomorrow. :-)

---

From: Mirja Kuehlewind <[email-masked]>
Date: Tue, 1 Mar 2022 20:09:42 +0100

Right, I guess the rfc-interest@ list was created by the RFC Editor but is currently maintained by the IAB. I was assuming that the IAB would hand this list to the RPC, given it’s anyway an @rfc-editor.org list and they would decide independently if they would still like to maintain this list (and update the list description receptively). 

The paragraph below say if rfc-interest@ continues to exists, the RSAB should send the community call (at least) there. However, there is no need to send the community call to the RSWG list, given there was already a last call in the RSWG before the document was send to the RSAB. So the sentence below is really making a separate point.

> On 1. Mar 2022, at 20:02, Peter Saint-Andre <[email-masked]> wrote:
> 
> As to the second point, the IAB might want to discuss it in their meeting tomorrow. :-)
>

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 2 Mar 2022 08:53:01 +1300

Regards
    Brian Carpenter

On 02-Mar-22 07:52, Peter Saint-Andre wrote:
>>       >> easily become a parallel track for discussions that should be 
on
>>      the

Please not. I don't think we should cover such operational details at all.
(Do you realise that RFC2026 refers to anonymous FTP and gopher?)

How about being *less* specific:

           The RSAB seeks
           such input by, at a minimum, sending a notice to relevant
           mailing lists.

    Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 2 Mar 2022 08:54:38 +1300

(sorry for resend, my comment is below)

on

            The RSAB seeks

     Brian

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 1 Mar 2022 11:57:37 -0800

On Tue, Mar 1, 2022 at 10:56 AM Paul Hoffman <[email-masked]> wrote:

> Personal view: the RSWG list should not be moderated, just like IETF WG
> lists are not moderated. This will surely be painful, with lots of
> strongly-held views supported only by predictions of the future, but that's
> also true for a fair number of IETF WG lists.
>
> I read the proposed "(which should supersede the current rfc-interest
> list)" to mean that the new list will have a new name. Maybe better wording
> would be:
>
>     The RSAB seeks

Paul,

Thanks for your email. you're right that "moderated" was the wrong term. I
meant "managed" in the sense that WG chairs manage IETF lists now. This can
be very light touch, but they're ultimately responsible for keeping things
on topic, addressing misbehavior, etc.

-Ekr

---

From: Peter Saint-Andre <[email-masked]>
Date: Tue, 1 Mar 2022 14:04:50 -0700

On 3/1/22 12:53 PM, Brian E Carpenter wrote:
>>>       > Hi Paul,
>>>       >
>>>       >
>>>       > On 09.02.22 17:46, Paul Hoffman wrote:
>>>       >> Greetings again. The structures proposed in this document seem
>>>      like a
>>>       >> very good way forward. The level of detail about the
>>>      expectations on
>>>       >> each group is a good balance in prescriptiveness.
>>>       >>
>>>       >> Two small thoughts on the current draft:
>>>       >>
>>>       >> The future status of the rfc-interest mailing list is 
>>> unclear; see
>>>       >> Section 3.2.3. Given it s current contents, I could see that it
>>>      would
>>>       >> easily become a parallel track for discussions that should be 
> on
>>>      the
>>>       >> RSWG mailing list. It might be good to close (and certainly
>>>      archive!)
>>>       >> rfc-interest unless it becomes more moderated by someone 
>>> pointing
>>>       >> discussions to the RSWG.
>>>       >
>>>       > I like the idea of at least having some RSWG participation to 
>>> point
>>>       > people to the right place, when necessary.
>>>

IIRC folks wanted to know that there was one place such announcements 
were guaranteed to appear (kind of like the new-work list, I suppose).

Peter

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 2 Mar 2022 10:44:25 +1300

On 02-Mar-22 10:04, Peter Saint-Andre wrote:
>>>>       Keeping the rfc-interest list and starting 
a new list for the RSWG
>>>>       might
>>>>            the RSWG (which should 
supersede the current rfc-interest
>>>> list).

I want that too. It just doesn't seem like something we should bake
into an RFC.

    Brian

---

From: Lars Eggert <[email-masked]>
Date: Wed, 2 Mar 2022 11:14:09 +0100

Hi,

On 2022-3-1, at 20:57, Eric Rescorla <[email-masked]> wrote:
> Thanks for your email. you're right that "moderated" was the wrong term. I meant "managed" in the sense that WG chairs manage IETF lists now. This can be very light touch, but they're ultimately responsible for keeping things on topic, addressing misbehavior, etc.

I think the term "moderated" is appropriate, in the sense that IETF WG lists can *become* moderated when the chairs see a need (also see https://www.ietf.org/about/groups/iesg/statements/mailing-lists-moderation/ and https://www.ietf.org/about/groups/iesg/statements/disruptive-posting/ and possibly others.)

Thanks,
Lars

---

From: Carsten Bormann <[email-masked]>
Date: Wed, 2 Mar 2022 11:35:43 +0100

On 1. Mar 2022, at 19:54, Mirja Kuehlewind <[email-masked]> wrote:
> 
> I was actually assuming we keep the rfc-interest list at least for now as this is also the list people are using to e.g. ask questions (to the RPC or the respective experts) about who to apply the xml or such.

Yes.

The RSWG list should be for business of the RSWG.
There is a lot of discussions about the RFC series that is not leading to RSWG activities (and v.v., if you count in the bureaucracy).

I’m also confused about the location of the RSWG.  Is this not an @rfc-editor.org list?  Where is it then?

Grüße, Carsten

---

From: Mirja Kuehlewind <[email-masked]>
Date: Wed, 2 Mar 2022 11:37:32 +0100

The RSWG list will be an @rfc-editor.org list.

> On 2. Mar 2022, at 11:35, Carsten Bormann <[email-masked]> wrote:
>

---

From: Lars Eggert <[email-masked]>
Date: Wed, 2 Mar 2022 11:40:57 +0100

> I’m also confused about the location of the RSWG.  Is this not an @rfc-editor.org list? Where is it then?

I just registered rswg.org and would be happy to transfer it to the IETF, if that could be a suitable home...

Lars

---

From: Eliot Lear <[email-masked]>
Date: Wed, 2 Mar 2022 11:56:55 +0100

Thanks, Lars.  My suggestion is that we start out on rfc-editor.org and 
leave it to the RSWG to decide next steps.

Eliot